%define	__prefix	/usr/local

Summary: dlcompat for Darwin
Name: dlcompat
%define version 20010123
Version: %{version}
Release: 2a
Group: System Environment/Libraries
Source: localhost:/dlcompat-%{version}.tar.gz
Patch0: localhost:/dlcompat-%{version}-makefile.patch
Copyright: Christoph Pfisterer <cp@chrisp.de> APPLE
BuildRoot: %{_tmppath}/%{name}-root

%description
This is release 20010123 of dlcompat. dlcompat is a small library that
emulates the dlopen() interface on top of Darwin's dyld API. It is
based on a CVS snapshot of Apple's Darwin CVS repository, taken on
Jan 16 2001 (and still current as of Jan 23 2001). Since it's based on
Apple code, it is released under the terms of the Apple Public Source
License; see the file APPLE_LICENSE for the text of the license.

Changes were made to automatically search for the module in several
directories (taken from the environment variables DYLD_LIBRARY_PATH
and LD_LIBRARY_PATH, plus /usr/lib and /lib) when no absolute path is
specified and the module is not found in the current directory. If you
prefer to run unmodified Apple code, download release 20010116.


%prep
%setup -q
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}
mkdir -p $RPM_BUILD_ROOT/bin

make prefix="$RPM_BUILD_ROOT"%{__prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc APPLE_LICENSE ChangeLog README

%{__prefix}/include/dlfcn.h
%{__prefix}/lib/libdl.dylib
%{__prefix}/lib/libdl.a
%{__prefix}/lib/system/libdl.dylib
%{__prefix}/lib/system/libdl.a


%changelog
* Wed Oct 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1: version 2001023 by Christoph Pfisterer <cp@chrisp.de>

* Fri Apr 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release: version 2001023 by Christoph Pfisterer <cp@chrisp.de>

* Tue Mar 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X PB: version 2001023 by Christoph Pfisterer <cp@chrisp.de>
